DOMElement::setIdAttributeNode
DOMEntity
DOMElement
PHP Manual

# DOMElement::setIdAttributeNS

Declares the attribute specified by local name and namespace URI to be of type ID

### Description

public void DOMElement::setIdAttributeNS ( string `$namespaceURI` , string `$localName` , bool `$isId` )

Declares the attribute specified by `localName` and `namespaceURI` to be of type ID.

### Parameters

`namespaceURI`

  The namespace URI of the attribute.

`localName`

  The local name of the attribute, as prefix:tagname.

`isId`

  Set it to `TRUE` if you want `name` to be of type ID, `FALSE` otherwise.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NOT_FOUND`

  Raised if `name` is not an attribute of this element.

### See Also

- DOMDocument::getElementById
- DOMElement::setIdAttribute
- DOMElement::setIdAttributeNode